//DATMRTJ4 JOB SIMOTIME,CLASS=1,MSGCLASS=0,NOTIFY=CSIP1
//* *******************************************************************
//*       DATMRTJ4.JCL - a JCL Member for Batch Job Processing        *
//*       This JCL Member is provided by SimoTime Technologies        *
//*           (C) Copyright 1987-2016 All Rights Reserved             *
//*             Web Site URL:   http://www.simotime.com               *
//*                   e-mail:   helpdesk@simotime.com                 *
//* *******************************************************************
//*
//* Text   - Read EBCDIC RSEQ-80 and write ASCII RSEQ-80
//* Author - SimoTime Technologies
//* Date   - January 24, 1996
//*
//* The 1st job step will delete any previously created
//* file.
//*
//* The 2nd job step will read the file with multiple record types
//* and accumulate sub-totals by record groups.
//*
//* This set of programs will run on a mainframe under MVS or on a
//* Personal Computer with Windows and Micro Focus Mainframe Express.
//*
//* *******************************************************************
//* Step 1 of 2, Delete any previously created file...
//*
//RSEQDELT EXEC PGM=IEFBR14
//DATMRTD4 DD  DSN=SIMOTIME.DATA.DATMRTD4,DISP=(MOD,DELETE,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=80,BLKSIZE=800,DSORG=PS)
//*
//* *******************************************************************
//* Step 2 of 2, Convert file with multiple record types that contain
//*              packed and binary values...
//*
//CVTDATD2 EXEC PGM=DATMRTIO
//DATMRTGE DD  DSN=SIMOTIME.DATA.DATMRTD2,DISP=SHR
//DATMRTPA DD  DSN=SIMOTIME.DATA.DATMRTD4,DISP=(NEW,CATLG,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=80,BLKSIZE=800,DSORG=PS)
//SYSOUT   DD  SYSOUT=*
//*
